Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::FieldCacheEntryImpl Class Reference

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::FieldCacheEntryImpl:

## Public Member Functions

| FieldCacheEntryImpl (LuceneObjectPtr readerKey, const String &fieldName, int32_t cacheType, boost::any custom, boost::any value)
virtual | ~FieldCacheEntryImpl ()
virtual String | getClassName ()
boost::shared_ptr < FieldCacheEntryImpl > | shared_from_this ()
virtual LuceneObjectPtr | getReaderKey ()
virtual String | getFieldName ()
virtual int32_t | getCacheType ()
virtual boost::any | getCustom ()
virtual boost::any | getValue ()
Public Member Functions inherited from Lucene::FieldCacheEntry
virtual | ~FieldCacheEntry ()
boost::shared_ptr < FieldCacheEntry > | shared_from_this ()
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::FieldCacheEntry
static String | _getClassName ()

## Protected Attributes

LuceneObjectPtr | readerKey
String | fieldName
int32_t | cacheType
boost::any | custom
boost::any | value

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

Lucene::FieldCacheEntryImpl::FieldCacheEntryImpl | ( | LuceneObjectPtr | readerKey,
|  | const String & | fieldName,
|  | int32_t | cacheType,
|  | boost::any | custom,
|  | boost::any | value
| ) |  |

virtual Lucene::FieldCacheEntryImpl::~FieldCacheEntryImpl | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FieldCacheEntryImpl::_getClassName | ( | ) |  |

inline static

virtual int32_t Lucene::FieldCacheEntryImpl::getCacheType | ( | ) |  |

virtual

Implements Lucene::FieldCacheEntry.

virtual String Lucene::FieldCacheEntryImpl::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::FieldCacheEntry.

virtual boost::any Lucene::FieldCacheEntryImpl::getCustom | ( | ) |  |

virtual

Implements Lucene::FieldCacheEntry.

virtual String Lucene::FieldCacheEntryImpl::getFieldName | ( | ) |  |

virtual

Implements Lucene::FieldCacheEntry.

virtual LuceneObjectPtr Lucene::FieldCacheEntryImpl::getReaderKey | ( | ) |  |

virtual

Implements Lucene::FieldCacheEntry.

virtual boost::any Lucene::FieldCacheEntryImpl::getValue | ( | ) |  |

virtual

Implements Lucene::FieldCacheEntry.

boost::shared_ptr< FieldCacheEntryImpl > Lucene::FieldCacheEntryImpl::shared_from_this | ( | ) |  |

inline

## Field Documentation

int32_t Lucene::FieldCacheEntryImpl::cacheType

protected

boost::any Lucene::FieldCacheEntryImpl::custom

protected

String Lucene::FieldCacheEntryImpl::fieldName

protected

LuceneObjectPtr Lucene::FieldCacheEntryImpl::readerKey

protected

boost::any Lucene::FieldCacheEntryImpl::value

protected

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net